using CalledIt.Domain.Dtos;

namespace CalledIt.Domain.Services;

public interface ITeamService
{
    Task<TeamResponseDto> CreateAsync(CreateTeamDto dto);
    Task<IReadOnlyList<TeamResponseDto>> GetAllAsync(int? competitionId = null);
    Task<TeamResponseDto> GetByIdAsync(int id);
    Task<TeamResponseDto> UpdateAsync(int id, UpdateTeamDto dto);
    Task DeleteAsync(int id);
    Task<TeamResponseDto> UploadLogoAsync(int id, Stream imageStream, string contentType, long length);
}
